diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/int64x64-cairo.h ns-3.31/src/core/model/int64x64-cairo.h
--- ns-3.30.1/src/core/model/int64x64-cairo.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/int64x64-cairo.h	2020-06-27 17:38:30.000000000 -0700
@@ -1,6 +1,6 @@
 /* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
 /*
- * Copyright (c) 2010 INRIA 
+ * Copyright (c) 2010 INRIA
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License version 2 as
@@ -40,7 +40,7 @@
 class int64x64_t
 {
   /// High bit of fractional part
-  static const uint64_t    HPCAIRO_MASK_HI_BIT = (((uint64_t)1)<<63);
+  static const uint64_t    HPCAIRO_MASK_HI_BIT = (((uint64_t)1) << 63);
   /// Mask for fraction part
   static const uint64_t    HP_MASK_LO = 0xffffffffffffffffULL;
   /**
@@ -65,7 +65,8 @@
    * specifically the double implementation.  To handle this,
    * we expose the underlying implementation type here.
    */
-  enum impl_type {
+  enum impl_type
+  {
     int128_impl,  //!< Native int128_t implementation.
     cairo_impl,   //!< cairo wideint implementation
     ld_impl,      //!< long double implementation
@@ -112,8 +113,8 @@
     const cairo_uint64_t lo = (cairo_uint64_t)flo;
     if (flo >= HP_MAX_64)
       {
-	// conversion to uint64 rolled over
-	++hi;
+        // conversion to uint64 rolled over
+        ++hi;
       }
     _v.hi = hi;
     _v.lo = lo;
@@ -176,11 +177,13 @@
    * \param [in] o Value to copy.
    */
   inline int64x64_t (const int64x64_t & o)
-    : _v (o._v) {}
+    : _v (o._v)
+  {}
   /**
    * Assignment.
    *
    * \param [in] o Value to assign to this int64x64_t.
+   * \returns a copy of \pname{o}
    */
   inline int64x64_t & operator = (const int64x64_t & o)
   {
@@ -249,24 +252,48 @@
   static int64x64_t Invert (const uint64_t v);
 
 private:
+
+  /**
+   * \name Arithmetic Operators
+   * Arithmetic operators for int64x64_t.
+   */
+  /**
+   * @{
+   *  Arithmetic operator.
+   *  \param [in] lhs Left hand argument
+   *  \param [in] rhs Right hand argument
+   *  \return The result of the operator.
+   */
   friend bool         operator == (const int64x64_t & lhs, const int64x64_t & rhs);
 
   friend bool         operator <  (const int64x64_t & lhs, const int64x64_t & rhs);
   friend bool         operator >  (const int64x64_t & lhs, const int64x64_t & rhs);
-  
+
   friend int64x64_t & operator += (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator -= (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator *= (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator /= (      int64x64_t & lhs, const int64x64_t & rhs);
+  /**@}*/
 
+  /**
+   * \name Unary Operators
+   * Unary operators for int64x64_t.
+   */
+  /**
+   * @{
+   *  Unary operator.
+   *  \param [in] lhs Left hand argument
+   *  \return The result of the operator.
+   */
   friend int64x64_t   operator -  (const int64x64_t & lhs);
   friend int64x64_t   operator !  (const int64x64_t & lhs);
+  /**@}*/
 
   /**
    * Implement `*=`.
    *
    * \param [in] o The other factor.
-   */   
+   */
   void Mul (const int64x64_t & o);
   /**
    * Implement `/=`.
@@ -326,6 +353,9 @@
 /**
  * \ingroup highprec
  * Equality operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -334,6 +364,9 @@
 /**
  * \ingroup highprec
  * Less than operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator < (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -342,6 +375,9 @@
 /**
  * \ingroup highprec
  * Greater operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator > (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -351,24 +387,33 @@
 /**
  * \ingroup highprec
  * Compound addition operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator += (int64x64_t & lhs, const int64x64_t & rhs)
 {
-  lhs._v = _cairo_int128_add( lhs._v, rhs._v );
+  lhs._v = _cairo_int128_add ( lhs._v, rhs._v );
   return lhs;
 }
 /**
  * \ingroup highprec
  * Compound subtraction operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator -= (int64x64_t & lhs, const int64x64_t & rhs)
 {
-  lhs._v = _cairo_int128_sub( lhs._v, rhs._v );
+  lhs._v = _cairo_int128_sub ( lhs._v, rhs._v );
   return lhs;
 }
 /**
  * \ingroup highprec
  * Compound multiplication operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator *= (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -378,6 +423,9 @@
 /**
  * \ingroup highprec
  * Compound division operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator /= (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -388,6 +436,8 @@
 /**
  * \ingroup highprec
  * Unary plus operator
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator + (const int64x64_t & lhs)
 {
@@ -396,6 +446,8 @@
 /**
  * \ingroup highprec
  * Unary negation operator (change sign operator)
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator - (const int64x64_t & lhs)
 {
@@ -406,6 +458,8 @@
 /**
  * \ingroup highprec
  * Logical not operator
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator ! (const int64x64_t & lhs)
 {
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/int64x64.cc ns-3.31/src/core/model/int64x64.cc
--- ns-3.30.1/src/core/model/int64x64.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/int64x64.cc	2020-06-27 17:38:30.000000000 -0700
@@ -85,7 +85,7 @@
   oss << hi << ".";  // collect the digits here so we can round properly
 
 
-  int64x64_t low(0, absVal.GetLow ());
+  int64x64_t low (0, absVal.GetLow ());
   std::size_t places = 0;    // Number of decimal places printed so far
   bool more = true;  // Should we print more digits?
 
@@ -101,9 +101,9 @@
       low *= 10;
       digit = low.GetHigh ();
       NS_ASSERT_MSG ( (0 <= digit) && (digit <= 9),
-                      "digit " << digit << " out of range [0,9] "
-                      << " streaming out "
-                      << HEXHILOW (value.GetHigh (), value.GetLow ()) );
+                      "digit " << digit << " out of range [0,9] " <<
+                      " streaming out " <<
+                      HEXHILOW (value.GetHigh (), value.GetLow ()) );
       low -= digit;
 
       oss << std::setw (1) << digit;
@@ -125,7 +125,8 @@
                     << HEXHILOW (low.GetHigh (), low.GetLow ())
                     << std::dec << std::setfill (' ' ) << std::left);
 
-    } while (more);
+    }
+  while (more);
 
   // Check if we need to round the last printed digit,
   // based on the first unprinted digit
@@ -142,14 +143,14 @@
         {
           if (*rit == '.')  // Skip over the decimal point
             {
-              continue ;
+              continue;
             }
 
           ++(*rit);         // Add the carry
           if (*rit <= '9')  // Relies on character order...
             {
               carry = false;
-              break ;       // Carry complete
+              break;        // Carry complete
             }
           else
             {
@@ -210,8 +211,8 @@
     {
       int digit = *rit - '0';
       NS_ASSERT_MSG ( (0 <= digit) && (digit <= 9),
-                      "digit " << digit << " out of range [0,9]"
-                      << " streaming in low digits \"" << str << "\"");
+                      "digit " << digit << " out of range [0,9]" <<
+                      " streaming in low digits \"" << str << "\"");
       low = (low + digit + round) / 10;
     }
 
@@ -254,12 +255,12 @@
   next = str.find (".", cur);
   if (next != std::string::npos)
     {
-      hi = ReadHiDigits (str.substr (cur, next-cur));
-      lo = ReadLoDigits (str.substr (next+1, str.size ()-(next+1)));
+      hi = ReadHiDigits (str.substr (cur, next - cur));
+      lo = ReadLoDigits (str.substr (next + 1, str.size () - (next + 1)));
     }
   else if (cur != std::string::npos)
     {
-      hi = ReadHiDigits (str.substr (cur, str.size ()-cur));
+      hi = ReadHiDigits (str.substr (cur, str.size () - cur));
       lo = 0;
     }
   else
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/int64x64-double.h ns-3.31/src/core/model/int64x64-double.h
--- ns-3.30.1/src/core/model/int64x64-double.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/int64x64-double.h	2020-06-27 17:38:30.000000000 -0700
@@ -64,7 +64,8 @@
    * specifically the double implementation.  To handle this,
    * we expose the underlying implementation type here.
    */
-  enum impl_type {
+  enum impl_type
+  {
     int128_impl,  //!< Native int128_t implementation.
     cairo_impl,   //!< cairo wideint implementation
     ld_impl,      //!< long double implementation
@@ -75,7 +76,8 @@
 
   /// Default constructor
   inline int64x64_t ()
-    : _v (0) {}
+    : _v (0)
+  {}
   /**@{*/
   /**
    * Construct from a floating point value.
@@ -83,9 +85,11 @@
    * \param [in] v Floating value to represent
    */
   inline int64x64_t (double v)
-    : _v (v) {}
+    : _v (v)
+  {}
   inline int64x64_t (long double v)
-    : _v (v) {}
+    : _v (v)
+  {}
   /**@}*/
 
   /**@{*/
@@ -95,17 +99,23 @@
    * \param [in] v Integer value to represent
    */
   inline int64x64_t (int v)
-    : _v (v) {}
+    : _v (v)
+  {}
   inline int64x64_t (long int v)
-    : _v (v) {}
+    : _v (v)
+  {}
   inline int64x64_t (long long int v)
-    : _v (static_cast<double> (v)) {}
+    : _v (static_cast<double> (v))
+  {}
   inline int64x64_t (unsigned int v)
-    : _v (v) {}
+    : _v (v)
+  {}
   inline int64x64_t (unsigned long int v)
-    : _v (v) {}
+    : _v (v)
+  {}
   inline int64x64_t (unsigned long long int v)
-    : _v (static_cast<double> (v)) {}
+    : _v (static_cast<double> (v))
+  {}
   /**@}*/
   /**
    * Construct from explicit high and low values.
@@ -116,10 +126,10 @@
   explicit inline int64x64_t (int64_t hi, uint64_t lo)
   {
     const bool negative = hi < 0;
-    const long double hild = static_cast<long double> (hi); 
+    const long double hild = static_cast<long double> (hi);
     const long double fhi = negative ? -hild : hild;
     const long double flo = lo / HP_MAX_64;
-    _v = negative ? - fhi : fhi;
+    _v = negative ? -fhi : fhi;
     _v += flo;
     // _v = negative ? -_v : _v;
   }
@@ -130,11 +140,13 @@
    * \param [in] o Value to copy.
    */
   inline int64x64_t (const int64x64_t & o)
-    : _v (o._v) {}
+    : _v (o._v)
+  {}
   /**
    * Assignment.
    *
    * \param [in] o Value to assign to this int64x64_t.
+   * \returns a copy of \pname{o}
    */
   inline int64x64_t & operator = (const int64x64_t & o)
   {
@@ -151,6 +163,7 @@
   {
     return (double)_v;
   }
+
 private:
   /**
    * Get the high and low portions of this value.
@@ -158,7 +171,7 @@
    * \return A pair of the high and low words
    */
   std::pair<int64_t, uint64_t> GetHighLow (void) const
-    {
+  {
     const bool negative = _v < 0;
     const long double v = negative ? -_v : _v;
 
@@ -178,20 +191,21 @@
     uint64_t lo = static_cast<uint64_t> (flo);
     if (flo >= HP_MAX_64)
       {
-	// conversion to uint64 rolled over
-	++hi;
+        // conversion to uint64 rolled over
+        ++hi;
       }
     if (negative)
       {
-	lo = ~lo;
-	hi = ~hi;
-	if (++lo == 0)
-	  {
-	    ++hi;
-	  }
+        lo = ~lo;
+        hi = ~hi;
+        if (++lo == 0)
+          {
+            ++hi;
+          }
       }
     return std::make_pair (hi, lo);
-    }
+  }
+
 public:
   /**
    * Get the integer portion.
@@ -239,18 +253,42 @@
   }
 
 private:
+  
+  /**
+   * \name Arithmetic Operators
+   * Arithmetic operators for int64x64_t.
+   */
+  /**
+   * @{
+   *  Arithmetic operator.
+   *  \param [in] lhs Left hand argument
+   *  \param [in] rhs Right hand argument
+   *  \return The result of the operator.
+   */
   friend bool         operator == (const int64x64_t & lhs, const int64x64_t & rhs);
 
   friend bool         operator <  (const int64x64_t & lhs, const int64x64_t & rhs);
   friend bool         operator >  (const int64x64_t & lhs, const int64x64_t & rhs);
-  
+
   friend int64x64_t & operator += (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator -= (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator *= (      int64x64_t & lhs, const int64x64_t & rhs);
   friend int64x64_t & operator /= (      int64x64_t & lhs, const int64x64_t & rhs);
+  /**@}*/
 
+  /**
+   * \name Unary Operators
+   * Unary operators for int64x64_t.
+   */
+  /**
+   * @{
+   *  Unary operator.
+   *  \param [in] lhs Left hand argument
+   *  \return The result of the operator.
+   */
   friend int64x64_t   operator -  (const int64x64_t & lhs);
   friend int64x64_t   operator !  (const int64x64_t & lhs);
+  /**@}*/
 
   long double _v;  //!< The Q64.64 value.
 
@@ -260,6 +298,9 @@
 /**
  * \ingroup highprec
  * Equality operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -268,6 +309,9 @@
 /**
  * \ingroup highprec
  * Less than operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator < (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -276,6 +320,9 @@
 /**
  * \ingroup highprec
  * Greater operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator > (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -285,6 +332,9 @@
 /**
  * \ingroup highprec
  * Compound addition operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator += (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -294,6 +344,9 @@
 /**
  * \ingroup highprec
  * Compound subtraction operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator -= (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -303,6 +356,9 @@
 /**
  * \ingroup highprec
  * Compound multiplication operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator *= (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -312,6 +368,9 @@
 /**
  * \ingroup highprec
  * Compound division operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t & operator /= (int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -322,6 +381,8 @@
 /**
  * \ingroup highprec
  * Unary plus operator
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator + (const int64x64_t & lhs)
 {
@@ -330,6 +391,8 @@
 /**
  * \ingroup highprec
  * Unary negation operator (change sign operator)
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator - (const int64x64_t & lhs)
 {
@@ -338,6 +401,8 @@
 /**
  * \ingroup highprec
  * Logical not operator
+ * \param [in] lhs Left hand argument
+ * \return The result of the operator.
  */
 inline int64x64_t operator ! (const int64x64_t & lhs)
 {
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/int64x64.h ns-3.31/src/core/model/int64x64.h
--- ns-3.30.1/src/core/model/int64x64.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/int64x64.h	2020-06-27 17:38:30.000000000 -0700
@@ -69,11 +69,11 @@
  *   Comparison  | `==`, `!=`, `<`, `<=`, `>`, `>=`
  *   Unary       | `+`, `-`, `!`
  */
-  
+
 /**
  * \ingroup highprec
  * \class int64x64_t
- * 
+ *
  * High precision numerical type, implementing Q64.64 fixed precision.
  */
 
@@ -81,6 +81,9 @@
 /**
  * \ingroup highprec
  * Addition operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline
 int64x64_t operator + (const int64x64_t & lhs, const int64x64_t & rhs)
@@ -92,6 +95,9 @@
 /**
  * \ingroup highprec
  * Subtraction operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline
 int64x64_t operator - (const int64x64_t & lhs, const int64x64_t & rhs)
@@ -103,6 +109,9 @@
 /**
  * \ingroup highprec
  * Multiplication operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline
 int64x64_t operator * (const int64x64_t & lhs, const int64x64_t & rhs)
@@ -114,6 +123,9 @@
 /**
  * \ingroup highprec
  * Division operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline
 int64x64_t operator / (const int64x64_t & lhs, const int64x64_t & rhs)
@@ -125,6 +137,9 @@
 /**
  * \ingroup highprec
  * Inequality operator
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator != (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -133,6 +148,9 @@
 /**
  * \ingroup highprec
  * Less or equal operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator <= (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -141,6 +159,9 @@
 /**
  * \ingroup highprec
  * Greater or equal operator.
+ * \param [in] lhs Left hand argument
+ * \param [in] rhs Right hand argument
+ * \return The result of the operator.
  */
 inline bool operator >= (const int64x64_t & lhs, const int64x64_t & rhs)
 {
@@ -179,7 +200,7 @@
  * \ingroup highprec
  * Absolute value.
  * \param [in] value The value to operate on.
- * \return The absolute value of \p value.
+ * \return The absolute value of \pname{value}.
  */
 inline int64x64_t Abs (const int64x64_t &value)
 {
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/integer.cc ns-3.31/src/core/model/integer.cc
--- ns-3.30.1/src/core/model/integer.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/integer.cc	2020-06-27 17:38:30.000000000 -0700
@@ -54,8 +54,10 @@
     IntegerChecker (int64_t minValue, int64_t maxValue, std::string name)
       : m_minValue (minValue),
         m_maxValue (maxValue),
-        m_name (name) {}
-    virtual bool Check (const AttributeValue &value) const {
+        m_name (name)
+    {}
+    virtual bool Check (const AttributeValue &value) const
+    {
       NS_LOG_FUNCTION (&value);
       const IntegerValue *v = dynamic_cast<const IntegerValue *> (&value);
       if (v == 0)
@@ -64,25 +66,30 @@
         }
       return v->Get () >= m_minValue && v->Get () <= m_maxValue;
     }
-    virtual std::string GetValueTypeName (void) const {
+    virtual std::string GetValueTypeName (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return "ns3::IntegerValue";
     }
-    virtual bool HasUnderlyingTypeInformation (void) const {
+    virtual bool HasUnderlyingTypeInformation (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return true;
     }
-    virtual std::string GetUnderlyingTypeInformation (void) const {
+    virtual std::string GetUnderlyingTypeInformation (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       std::ostringstream oss;
       oss << m_name << " " << m_minValue << ":" << m_maxValue;
       return oss.str ();
     }
-    virtual Ptr<AttributeValue> Create (void) const {
+    virtual Ptr<AttributeValue> Create (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return ns3::Create<IntegerValue> ();
     }
-    virtual bool Copy (const AttributeValue &src, AttributeValue &dst) const {
+    virtual bool Copy (const AttributeValue &src, AttributeValue &dst) const
+    {
       NS_LOG_FUNCTION (&src << &dst);
       const IntegerValue *source = dynamic_cast<const IntegerValue *> (&src);
       IntegerValue *destination = dynamic_cast<IntegerValue *> (&dst);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/int-to-type.h ns-3.31/src/core/model/int-to-type.h
--- ns-3.30.1/src/core/model/int-to-type.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/int-to-type.h	2020-06-27 17:38:30.000000000 -0700
@@ -31,7 +31,7 @@
  * Convert an integer into a type.
  *
  * This trivial template is extremely useful, as explained in
- * "Modern C++ Design", p 29, section 2.4, 
+ * "Modern C++ Design", p 29, section 2.4,
  * "Mapping Integral Constants to Types".
  *
  * For an example, see timer-impl.h
@@ -43,7 +43,8 @@
 struct IntToType
 {
   /** Enumeration holding the type-specific value. */
-  enum v_e {
+  enum v_e
+  {
     value = v  /**< The integer value distinguishing this type. */
   };
 };
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/list-scheduler.cc ns-3.31/src/core/model/list-scheduler.cc
--- ns-3.30.1/src/core/model/list-scheduler.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/list-scheduler.cc	2020-06-27 17:38:30.000000000 -0700
@@ -53,8 +53,7 @@
   NS_LOG_FUNCTION (this);
 }
 ListScheduler::~ListScheduler ()
-{
-}
+{}
 
 void
 ListScheduler::Insert (const Event &ev)
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/list-scheduler.h ns-3.31/src/core/model/list-scheduler.h
--- ns-3.30.1/src/core/model/list-scheduler.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/list-scheduler.h	2020-06-27 17:38:30.000000000 -0700
@@ -42,6 +42,24 @@
  *
  * This class implements an event scheduler using an std::list
  * data structure, that is, a double linked-list.
+ *
+ * \par Time Complexity
+ *
+ * Operation    | Amortized %Time | Reason
+ * :----------- | :-------------- | :-----
+ * Insert()     | Linear          | Linear search in `std::list`
+ * IsEmpty()    | Constant        | `std::list::size()`
+ * PeekNext()   | Constant        | `std::list::front()`
+ * Remove()     | Linear          | Linear search in `std::list`
+ * RemoveNext() | Constant        | `std::list::pop_front()`
+ *
+ * \par Memory Complexity
+ *
+ * Category  | Memory                           | Reason
+ * :-------- | :------------------------------- | :-----
+ * Overhead  | 2 x `sizeof (*)` + `size_t`<br/>(24 bytes) | `std::list`
+ * Per Event | 2 x `sizeof (*)`                 | `std::list`
+ *
  */
 class ListScheduler : public Scheduler
 {
